#
# spec file for package pavuk (Version 0.9pl28)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel update-desktop-files x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool perl rpm update-desktop-files

Name:         pavuk
Version:      0.9pl28
Release:      659
Autoreqprov:  on
Group:        Productivity/Networking/Web/Utilities
License:      GPL
URL:          http://www.idata.sk/~ondrej/pavuk/
Summary:      Mirrors WWW sites
Source0:      %{name}-%{version}.tar.bz2
Source1:      %{name}.desktop
Patch0:       %{name}-%{version}.diff
Patch1:       %{name}-%{version}-pavukrc.diff
Patch2:       %{name}-%{version}-buffer-overflow.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Pavuk is UNIX program used to mirror contents of WWW documents or
files. It transfers documents from HTTP, FTP, Gopher and optionaly from
HTTPS (HTTP over SSL) servers. Pavuk have optional GUI based on GTK+
widget set.



Authors:
--------
    Ondrejicka Stefan <ondrej@idata.sk>

%prep
%setup -q
%patch0
%patch2

%build
%{suse_update_config -f . }
CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -Wall"
	./configure \
        --prefix=%{_prefix} \
        --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--enable-debug
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT GNOME_PREFIX=/var/tmp install
rm -rf $RPM_BUILD_ROOT/var/tmp # gnome unwanted
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 pavukrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/pavukrc
rm -f $RPM_BUILD_ROOT/usr/info/dir.bak.gz
%find_lang %name
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp $RPM_BUILD_ROOT%{_datadir}/icons/pavuk_32x32.xpm \
   $RPM_BUILD_ROOT%{_datadir}/pixmaps/pavuk.xpm
%suse_update_desktop_file -i %name Network FileTransfer

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc FAQ README COPYING TODO
%doc ABOUT-NLS BUGS AUTHORS NEWS ChangeLog MAILINGLIST CREDITS
%doc %{_mandir}/man?/*
%config %{_sysconfdir}/pavukrc
%{_bindir}/pavuk
%{_datadir}/icons/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog -n pavuk
* Tue Jul 13 2004 - mjancar@suse.cz
- fix buffer overflow in digest authentication (#42764)
* Mon Jun 21 2004 - mjancar@suse.cz
- fix buffer overflow (#42141)
* Mon Aug 25 2003 - mjancar@suse.cz
- fix spelling error in pavukrc (#27733)
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Fri Jul 11 2003 - meissner@suse.de
- run suse_update_config.
* Mon Jun 16 2003 - coolo@suse.de
- use BuildRoot
* Mon Mar 18 2002 - uli@suse.de
- build with --enable-debug to allow fine-tuning (bug #15105)
* Mon Mar 04 2002 - uli@suse.de
- commented out entries in pavukrc that require customization
  (bug #13977)
* Wed Aug 15 2001 - uli@suse.de
- update -> 0.9pl28
* Tue Jul 24 2001 - uli@suse.de
- update -> 0.9pl27
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 18 2001 - uli@suse.de
- more 64 bit fixes
* Thu Mar 29 2001 - uli@suse.de
- fixed for gcc >2.95
- 64 bit fixes
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Sun Mar 05 2000 - olh@suse.de
- New version 0.9pl23, move manpages
* Fri Jan 14 2000 - uli@suse.de
- New version 0.9pl23
* Tue Oct 26 1999 - uli@suse.de
- New version 0.9pl21
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 08 1999 - uli@suse.de
- Spec file created from pavuk-0.9pl17.tgz by autospec
